Skip to main content
curl --request GET 'https://api.mayar.id/hl/v1/product/type/ebook?page=1&pageSize=100' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "hasMore": false,
    "pageCount": 1,
    "pageSize": 10,
    "page": 1,
    "data": [
        {
            "id": "b1eae80c-cecf-48ee-8879-36f0b915603b",
            "amount": 0,
            "category": null,
            "createdAt": 1685963288286,
            "description": "<p style=\"text-align:start;\"><span style=\"color: rgb(73,80,87);background-color: rgb(251,252,252);font-size: 13px;font-family: Open Sans\">COVID-19 has plagued almost all corners of the world, including in Indonesia where the most common symptom is fever up to 38℃. Therefore, at this time in various places have imposed body temperature checks to detect the body temperature of visitors. To inhibit the spread of COVID-19 , the Government appeals to the public to implement health protocols, including wearing masks. This is the basis for making a visitor's body temperature detector when entering a building or public room, not only detecting body temperature but this tool is also able to detect the use of masks using the Haar Cascade Classifier method as one of the applications. An appeal from the government regarding health protocols. </span></p>\n<p style=\"text-align:left;\"><span style=\"color: rgb(73,80,87);background-color: rgb(251,252,252);font-size: 13px;font-family: Open Sans\">The mask detection tool and body temperature detector use Arduino UNO as a microcontroller, ESP32-Cam as a face detection camera, MLX90614 sensor as a body temperature detector, LCD to display information about the results of body temperature detection and also masks, and servos as door movers. In designing the automatic door to detect face masks and body temperature, the author uses a Flowchart as a method for designing the system, this system is made using the C++ programming language and also the Open CV (Open Computer Vision) algorithm. Then perform system testing using hardware testing. After testing, conclusions are made whether the functions, inputs, and outputs of the system are in accordance with the required specifications or not. </span>&nbsp;</p>\n",
            "link": "journal-design-of-automatic-door-detection-of-face-mask-and-human-body-temperature-based-on-arduino-uno-using-haar-cascade-classifier-method-w9ya",
            "type": "ebook",
            "subType": null,
            "status": "active",
            "name": "DUPLICATE - JOURNAL DESIGN OF AUTOMATIC DOOR DETECTION OF FACE MASK AND  HUMAN BODY TEMPERATURE BASED ON Arduino UNO USING HAAR  CASCADE CLASSIFIER METHOD",
            "limit": null,
            "redirectUrl": null,
            "installmentId": null,
            "variant": null,
            "membershipTier": [],
            "event": null,
            "order": null,
            "coverImageId": "681abbf7-8620-405a-96f6-246cd7397cd9",
            "multipleImageId": null,
            "multipleImage": null,
            "coverImage": null,
            "transactions": [],
            "linkUrl": "https://testingmayar.myr.id/ebook/journal-design-of-automatic-door-detection-of-face-mask-and-human-body-temperature-based-on-arduino-uno-using-haar-cascade-classifier-method-w9ya",
            "linkPayment": "https://testingmayar.myr.id/pl/journal-design-of-automatic-door-detection-of-face-mask-and-human-body-temperature-based-on-arduino-uno-using-haar-cascade-classifier-method-w9ya"
        }
    ],
    "total": 1
}
Endpoint:
https://api.mayar.id/hl/v1/product/type/ebook?page=1&pageSize=100

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameters

type
string
required
Product type for filtering, list all product with filter:
  • generic_link
  • physical_product
  • event
  • webinar
  • digital_product
  • coaching
  • course
  • cohort_based
  • fundraising
  • ebook
  • podcast
  • audiobook
  • membership
  • zakat
  • invoice
  • bundling
  • saas
  • payment_request
  • support

Query Parameters

page
integer
default:1
required
Determine which page.
pageSize
integer
default:10
required
How much data is displayed on the page.

Response

Successful Response

Main Structure (Root)

id
string
Unique identifier of the product.
amount
integer
Product price amount.
category
string | null
Product category if available.
createdAt
number
Timestamp in milliseconds indicating when the product was created.
description
string
Product description in HTML format.
Unique slug or identifier used in the product URL.
type
string
Product type (e.g., saas, event, membership, ebook, etc.).
subType
string | null
Product subtype if applicable.
status
string
Current product status (e.g., active, inactive).
name
string
Product name.
limit
integer | null
Purchase or access limit if configured.
redirectUrl
string | null
URL where the customer will be redirected after checkout.
installmentId
string | null
Installment identifier if the product supports installment payments.
variant
string | null
Product variant.
membershipTier
string | null
Installment identifier if the product supports installment payments.
event
object | null
Membership product tier.
order
object | null
Order configuration if applicable.
coverImageId
string | null
Identifier of the cover image.
multipleImageId
array | null
List of additional image identifiers.
coverImage
object | null
Cover image object containing image details.
multipleImage
array | null
List of additional image objects.
transactions
array
List of related transactions (empty if none).
Public product page URL.
Public payment link URL.